import requests
from apisrun.utils.commons import singleton


@singleton
class ClientService:
    """Client requests http."""

    def __init__(self):
        """Init host and client."""
        self._client = requests.Session()

    def get(self, url, headers):
        """Get method of http client."""
        try:
            return self._client.get(url, headers=headers)
        except requests.exceptions.ConnectionError:
            return None

    def post(self, url, body, headers):
        """Post method of http client."""
        response = self._client.post(url, json=body, headers=headers, timeout=4)
        return response


client = ClientService()
